#ifndef _ex_entry_h_
#define _ex_entry_h_

typedef struct _exEntry {
	Widget shell;			/* the entry shell */
	Widget entryWindow;		/* the entry window */
	Widget label;			/* the label widget */
	Editor entryEditor;		/* the editor instance */
	XFontStruct *f;                 /* the font pointer for entry */
	int bufSize;			/* size of entry buffer */
	int flag;
} exEntry;

#define MAPPED  0x1
#define GRABBED 0x2

static char exEntrySccs[] = "@(#)exEntry.hh	1.2\t11/10/92";            /* sccs keyword */

/****************************************************************************
 * 
 *			external declarations 
 *
 ***************************************************************************/

extern exEntry *exMakeEntry(/*parent, buf, buflin, size, label, 
		     cmdTable, ecTable, cxTable, addCmds, cursorOn, hlp*/);
extern Boolean expandFileName(/* info, multiple, show_menu */);
extern char *exGetEntry(/* parent, x, y, msg, buf, len */);
extern char *exGetFilename(/* parent, x, y, msg, buf, len */);
extern destroyEntry(/* entry */);
extern exExpandInfo *setExpandInfo(/* parent, word, getcwd */);
#endif
